> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sync information for one consumer

> Returns sync information (creation date, mapping) related to a specific consumer



## OpenAPI

````yaml get /consumers/{consumer_id}/syncs/{syncid}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/syncs/{syncid}:
    get:
      tags:
        - Consumers
      summary: Get sync information for one consumer
      description: >-
        Returns sync information (creation date, mapping) related to a specific
        consumer
      operationId: syncs_get_syncconsumer
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: syncid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Syncid
        - name: preview_executionid
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Preview Executionid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncConsumerItem'
        '404':
          content:
            application/json:
              example:
                message: The consumer is not configured for this sync
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SyncConsumerItem:
      properties:
        syncid:
          type: string
          format: uuid
          title: Syncid
        sync_name:
          type: string
          title: Sync Name
          description: Name of the sync
        status:
          $ref: '#/components/schemas/SyncConsumerStatus'
          description: >-
            Indicates whether the consumer has setup the sync. If the setup is
            complete, it will return 'active'. Otherwise 'inactive'.
          default: inactive
        status_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Details
          description: Gives additional information if the status is inactive
        link_createdon:
          type: string
          format: date-time
          title: Link Createdon
          description: >-
            Date on which the consumer first navigated to the link to setup the
            sync
        link_mappings:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReadSyncMappingItem'
              type: array
            - type: 'null'
          title: Link Mappings
          description: >-
            Values of the mappings requested for the sync for the specific
            consumer
        skip_mappings:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReadSyncSkipMappingItem'
              type: array
            - type: 'null'
          title: Skip Mappings
          description: >-
            List of mappings which are ignored due to specific configuration of
            the consumer
        link_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Link Metadata
          description: Metadata passed during creation
        link_presync:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Link Presync
          description: >-
            Values of the presync configuration for the sync for the specific
            consumer
        enabled_flows:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReadFlowConsumerItem'
              type: array
            - type: 'null'
          title: Enabled Flows
          description: List of flows that the consumer has enabled
      type: object
      required:
        - syncid
        - sync_name
        - link_createdon
      title: SyncConsumerItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    SyncConsumerStatus:
      type: string
      enum:
        - active
        - inactive
      title: SyncConsumerStatus
    ReadSyncMappingItem:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        display_order:
          type: integer
          title: Display Order
          default: 0
        challenge_question:
          anyOf:
            - type: string
            - type: 'null'
          title: Challenge Question
        conditions:
          anyOf:
            - additionalProperties:
                additionalProperties: true
                type: object
              propertyNames:
                const: hideIf
              type: object
            - type: 'null'
          title: Conditions
        values:
          items:
            $ref: '#/components/schemas/ReadMappingItem'
          type: array
          title: Values
        hidden_source_ids:
          items:
            type: string
          type: array
          title: Hidden Source Ids
        sub_mapping_name:
          type: string
          title: Sub Mapping Name
        sub_mapping_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Mapping Description
      type: object
      required:
        - name
        - values
        - hidden_source_ids
        - sub_mapping_name
      title: ReadSyncMappingItem
    ReadSyncSkipMappingItem:
      properties:
        name:
          type: string
          title: Name
        skip_reason:
          $ref: '#/components/schemas/SyncSkipReason'
      type: object
      required:
        - name
        - skip_reason
      title: ReadSyncSkipMappingItem
    ReadFlowConsumerItem:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
        config:
          anyOf:
            - $ref: '#/components/schemas/FlowConfig-Output'
            - type: 'null'
        values:
          additionalProperties: true
          type: object
          title: Values
        enabled_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enabled On
          description: Date on which the flow was enabled for this consumer
        trigger:
          $ref: '#/components/schemas/ReadFlowTrigger'
      type: object
      required:
        - name
        - id
        - values
        - trigger
      title: ReadFlowConsumerItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ReadMappingItem:
      properties:
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        target_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Id
      type: object
      title: ReadMappingItem
    SyncSkipReason:
      type: string
      enum:
        - presync
        - connector_feature
        - challenge
      title: SyncSkipReason
    FlowConfig-Output:
      properties:
        definitionFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Definitionfields
        doorkeyFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Doorkeyfields
        customFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Customfields
        datastores:
          anyOf:
            - items:
                $ref: '#/components/schemas/FlowDataStoreItem-Output'
              type: array
            - type: 'null'
          title: Datastores
          default: []
      type: object
      title: FlowConfig
    ReadFlowTrigger:
      properties:
        id:
          type: string
          title: Id
        type:
          $ref: '#/components/schemas/TriggerType'
        cronschedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Cronschedule
      type: object
      required:
        - id
        - type
      title: ReadFlowTrigger
    FlowDataStoreItem-Output:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        status:
          anyOf:
            - $ref: '#/components/schemas/DatastoreStatus'
            - type: 'null'
          default: active
        definition:
          $ref: '#/components/schemas/DatastoreDef'
      type: object
      required:
        - name
        - definition
      title: FlowDataStoreItem
    TriggerType:
      type: string
      enum:
        - timer
        - event
      title: TriggerType
    DatastoreStatus:
      type: string
      enum:
        - active
        - inactive
      title: DatastoreStatus
    DatastoreDef:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/DatastoreColumn'
          type: array
          title: Columns
        search_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Column
          description: Column name that will be indexed and used in search if any.
      type: object
      required:
        - columns
      title: DatastoreDef
    DatastoreColumn:
      properties:
        name:
          type: string
          title: Name
        title:
          type: string
          title: Title
        type:
          type: string
          title: Type
        optional:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Optional
          default: false
      type: object
      required:
        - name
        - title
        - type
      title: DatastoreColumn
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````